<?php
ob_start();
define('NTOP', 1);
$title = 'Восстановление пароля';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');

$mod = isset($_GET['mod']) ? $_GET['mod'] : '';
switch ($mod) {

// Добавление комментария
case 'ok' :
    if(isset($_POST['submit'])) {

$mail=htmlspecialchars(trim($_POST['email']));

if (!preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$mail))
{ echo '<div class="news">Неверный формат e-mail!</div>'; 
require_once ('foot.php');
exit; 
}
$res = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."users` WHERE `mail` = '".mysql_real_escape_string($mail)."' LIMIT 1"));

if(empty($res['mail'])){ echo '<div class="main">Пользователь не зарегистрирован!</div>'; 
require_once ('foot.php');
exit;
}

// генерируем пароль 
$chars="qazxswedcvfrtgbnhyujmkiolp1234567890QAZXSWEDCVFRTGBNHYUJMKIOLP"; 
$max=8; 
$size=StrLen($chars)-1; 
$password=null; 
    while($max--) 
    $pass.=$chars[rand(0,$size)]; 
    
$hash=md5($pass);

//обновляем запись в строке
        $up = mysql_query("UPDATE `".$prefix."users` SET `password`='".$hash."' WHERE `mail` = '".mysql_real_escape_string($mail)."'");
        
                                $subject = "Восстановление пароля в топ рейтинге ".$set['home'];
				$body = "Вы запросили регистрационные данные в рейтинге сайтов http://".$set['home'].".\nВaши дaнные:\n";
				$body .= "Ваш логин: ".$res[login]."\nВаш новый пароль: ".$pass."\n";
				$body .= "Сохраните его в надежном месте и никому не сообщайте.\nЕсли это сообщение было выслано вам по ошибке то просим просто удалить его!\n";
				$headers = "From: admin@zontop.ru \n";
				$headers .= "Content-Type: text/plain; charset=utf-8\n";
				mail($mail, $subject, $body, $headers);
echo '<div class="title">Ваш новый пароль выслан вам на email, указанный в вашем профиле !</div>';
 require_once ('foot.php');
exit;
}
break;
default :
echo '<div class="main">';
echo '<form action="recoveryPassword.php?mod=ok" method="post">
Введите E-mail<br/><input type="text" name="email" mexlength="60"><br/><input type="submit" name="submit" value="Получить пароль"></form>';
echo '</div>';
}

require_once ('foot.php');
?>